#include <SDL/SDL_ttf.h>

int OSD_TTF_Init(void)
{
   return TTF_Init();
}

int OSD_TTF_WasInit(void)
{
   return TTF_WasInit();
}

void OSD_TTF_Quit(void)
{
   TTF_Quit();
}

void *OSD_TTF_OpenFont(const char *file, int ptsize)
{
   return (void *)TTF_OpenFont(file, ptsize);
}

void OSD_TTF_CloseFont(void *font)
{
   TTF_CloseFont((TTF_Font *)font);
}

SDL_Surface *OSD_TTF_RenderUTF8_Blended(void *font, const char *text, SDL_Color fg)
{
   return TTF_RenderUTF8_Blended((TTF_Font *)font, text, fg);
}

int OSD_TTF_SizeUTF8(void *font, const char *text, int *w, int *h)
{
   return TTF_SizeUTF8((TTF_Font *)font, text, w, h);
}

